### Method

# Devhelp Book get_tree

#### Declaration [src]

    GNode*
    dh_book_get_tree (
      DhBook* book
    )

#### Description [src]

Gets the general structure of the book, as a tree. The tree contains only `DhLink`‘s of type `DH_LINK_TYPE_BOOK` or `DH_LINK_TYPE_PAGE`. The other `DhLink`‘s are not contained in the tree. To have a list of all `DhLink`‘s part of the book, you need to call dh_book_get_links().

#### Return value

Type: `GNode`

The tree of `DhLink`‘s part of `book`.

The returned data is owned by the instance.